SilverLining: SilverLining::Vertex Class Reference

SilverLining 2.36

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions

# SilverLining::Vertex Class Reference

A single vertex containing a position, RGBA color, and 3D texture coordinates. More...

`#include <Vertex.h>`

Inheritance diagram for SilverLining::Vertex:
[legend]
Collaboration diagram for SilverLining::Vertex:
[legend]

List of all members.

## Public Member Functions
void SILVERLINING_API | SetColor (unsigned char r, unsigned char g, unsigned char b, unsigned char a)
| Sets the 4-byte color of the vertex in the manner expected by the underlying Renderer, based on the 0-255 RGBA values provided.
void SILVERLINING_API | SetUV (float u, float v)
| Sets the u,v texture coordinates of the vertex in the manner expected by the underlying Renderer, based on the uv coordinates provided.
void SILVERLINING_API | SetColor (const Color &c)
| Sets the 4-byte color of the vertex in the manner expected by the underlying Renderer, based on the Color provided.

## Detailed Description

A single vertex containing a position, RGBA color, and 3D texture coordinates.

## Member Function Documentation

void SILVERLINING_API SilverLining::Vertex::SetColor | ( | unsigned char | r,
|  | unsigned char | g,
|  | unsigned char | b,
|  | unsigned char | a
| ) |  |

Sets the 4-byte color of the vertex in the manner expected by the underlying Renderer, based on the 0-255 RGBA values provided.

void SILVERLINING_API SilverLining::Vertex::SetColor | ( | const Color & | c | ) |

Sets the 4-byte color of the vertex in the manner expected by the underlying Renderer, based on the Color provided.

void SILVERLINING_API SilverLining::Vertex::SetUV | ( | float | u,
|  | float | v
| ) |  |

Sets the u,v texture coordinates of the vertex in the manner expected by the underlying Renderer, based on the uv coordinates provided.

The r texture coordinate is set to 0.

The documentation for this class was generated from the following file:

- /home/fkane/sl/trunk/Public Headers/Vertex.h